Skip to main content
Settings/Settings Operations/Template Operations

UpdateTemplateConfig

UpdateTemplateConfig

PUT/zstack/v1/template-configurations/{templateUuid}/actions

Operation ID

UpdateTemplateConfig

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • templateUuid
    StringRequired

    The template UUID.

Body Fields

  • category
    StringRequired

    The corresponding global setting category.

  • name
    StringRequired

    The corresponding global setting name.

  • value
    StringRequired

    The template value.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    TemplateConfigInventoryRequired

    See inventory.

    • templateUuid
      StringRequired

      The template UUID.

    • category
      StringRequired

      The setting category.

    • name
      StringRequired

      The setting name.

    • defaultValue
      StringRequired

      The default template value.

    • value
      StringRequired

      The template value.